#include <stdio.h>
#include <math.h>
int main() {
	int a, b, c, d;
	scanf_s("%d%d%d%d", &a, &b, &c, &d);
	if (a > c && b == d) {
		printf("prvi"); return 0;
	}
	if (a == c && b > d) {
		printf("drugi"); return 0;
	}
	if (a == c && b == d) {
		printf("nijedan"); return 0;
	}
	if (a > c && b > d) {
		printf("?"); return 0;
	}
	return 0;
}